from skcomponents.optics import Filter
from sasktran import StokesVector, Geometry, LineOfSight
from skretrieval.core import OpticalGeometry
import numpy as np
import pytest


def test_filter(optical_geometry, model_wavelength, model_geometry, radiance):

    filter = Filter([400, 600], [0.5, 0.5])
    rad = filter.model_radiance(optical_geometry, model_wavelength, model_geometry, radiance)
    for r, t in zip(rad.flatten(), radiance.flatten()):
        assert np.allclose(r._stokes, 0.5 * np.array(t._stokes))
