import numpy as np
import pytest
from skcomponents.processing import DarkCurrent


def test_darkcurrent(signal):
    true_signal = signal + np.array([[20, 20], [20, 20]])

    np.random.seed(0)
    dark = DarkCurrent(exposure_time=0.1)
    signal = dark.process_signal(signal)
    assert np.allclose(signal, true_signal)
    assert dark.dark_signal_rate() == 200.0


def test_darkcurrent_notime_error(signal):
    with pytest.raises(ValueError):
        np.random.seed(0)
        dark = DarkCurrent()
        signal = dark.process_signal(signal)